FFSINFO(8)

NAME
ffsinfo - dump all meta information of an existing ufs file system

SYNOPSIS
ffsinfo [-g cylinder_group] [-i inode] [-l level] [-o outfile] special | file

DESCRIPTION
The ffsinfo utility extends the dumpfs(8) utility.

The output is appended to the file outfile. Also expect the output file to be rather large. Up to 2 percent of the size of the specified file system is not uncommon.

The following options are available:

-g cylinder_group
    This restricts the dump to information about this cylinder group only. Here 0 means the first cylinder group and -1 the last one.

-i inode
    This restricts the dump to information about this particular inode only. Here the minimum acceptable inode is 2. If this option is omitted but a cylinder group is defined then only inodes within that cylinder group are dumped.

-l level
    The level of detail which will be dumped. This value defaults to 255 and is the “bitwise or” of the following table:

    0x001
        initial superblock
    0x002
        superblock copies in each cylinder group
    0x004
        cylinder group summary in initial cylinder group
    0x008
        cylinder group information
    0x010
        inode allocation bitmap
    0x020
        fragment allocation bitmap
    0x040
        cluster maps and summary
    0x100
        inode information
    0x200
        indirect block dump

-o outfile
    This sets the output filename where the dump is written to, and must be specified. If - is provided, output will be sent to stdout.

EXAMPLES
    ffsinfo -o /var/tmp/ffsinfo -l 1023 /dev/vinum/testvol

will dump /dev/vinum/testvol to /var/tmp/ffsinfo with all available information.

SEE ALSO
disklabel(8), dumpfs(8), fsck(8), growfs(8), newfs(8), tunefs(8), vinum(8)

HISTORY
The ffsinfo utility first appeared in FreeBSD 4.4.

AUTHORS
Christoph Herrmann <chm@FreeBSD.org> Thomas-Henning von Kamptz <tomsoft@FreeBSD.org> The GROWFS team <growfs@Tomsoft.COM>

BUGS
Snapshots are handled like plain files. They should get their own level to provide for independent control of the amount of what gets dumped. It probably also makes sense to some extend to dump the snapshot as a file system.